PHP Manual
Prev |  | Next

# classkit_method_remove

(PECL)

classkit_method_remove -- Dynamically removes the given method

## Description

bool classkit_method_remove ( string classname, string methodname )

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

classname

  The class in which to remove the method

methodname

  The name of the method to remove

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. classkit_method_remove() example
`<?php class Example { function foo() { return "foo!\n"; } function bar() { return "bar!\n"; } } // Remove the 'foo' method classkit_method_remove( 'Example', 'foo' ); echo implode(' ', get_class_methods('Example')); ?>`
The above example will output:
    bar

## See Also

classkit_method_add()
classkit_method_copy()
classkit_method_redefine()
classkit_method_rename()

Prev | Home | Next
classkit_method_redefine | Up | classkit_method_rename